<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>DACoor2d</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="DACoor2d"><H1>DACoor2d</H1></A>
Structure for holding 2d (x and y) coordinates. 
<P>
<H3><FONT COLOR="#CC3333">Sample Usage</FONT></H3>
<A HREF="../DA/DACoor2d.html#DACoor2d">DACoor2d</A> **coors;
<A HREF="../Vec/Vec.html#Vec">Vec</A>      vcoors;
<A HREF="../DA/DA.html#DA">DA</A>       cda;
<P>
<A HREF="../DA/DAGetCoordinates.html#DAGetCoordinates">DAGetCoordinates</A>(da,&amp;vcoors);
<A HREF="../DA/DAGetCoordinateDA.html#DAGetCoordinateDA">DAGetCoordinateDA</A>(da,&amp;cda);
<A HREF="../DA/DAVecGetArray.html#DAVecGetArray">DAVecGetArray</A>(dac,vcoors,&amp;coors);
<A HREF="../DA/DAGetCorners.html#DAGetCorners">DAGetCorners</A>(dac,&amp;mstart,&amp;nstart,0,&amp;m,&amp;n,0)
for (i=mstart; i&lt;mstart+m; i++) {
for (j=nstart; j&lt;nstart+n; j++) {
x = coors[j][i].x;
y = coors[j][i].y;
......
}
}
<A HREF="../DA/DAVecRestoreArray.html#DAVecRestoreArray">DAVecRestoreArray</A>(dac,vcoors,&amp;coors);
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../DA/DACoor3d.html#DACoor3d">DACoor3d</A>, DAForEachPointBegin(), <A HREF="../DA/DAGetCoordinateDA.html#DAGetCoordinateDA">DAGetCoordinateDA</A>(), <A HREF="../DA/DAGetCoordinates.html#DAGetCoordinates">DAGetCoordinates</A>(), DAGetGhostCoordinates()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/dm/da/../../../include/petscda.h.html#DACoor2d">src/dm/da/../../../include/petscda.h</A>
<BR><A HREF="./index.html">Index of all DA routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
